Hide navigation sidebar
Hide table of contents sidebar
Skip to content
ASDF Projects Tutorials Community
Back to top
View this page
Toggle table of contents sidebar

# remove_defaults

asdf.schema.remove_defaults(instance, ctx)

  For any values in the tree that are the same as the default values specified in the schema, remove them from the tree.

  Parameters:
    instance tagged tree
    ctx AsdfFile context

      Used to resolve tags and urls